Transactions

A transaction represents the lifecycle of a pré-état daté request.

Create a transaction

Endpoint: POST /order/
Content-Type: application/json

Request body

{
  "address": "4 BIS RUE DE LA FERME",
  "additional": "",
  "city": "CALUIRE ET CUIRE",
  "zipcode": "69300",
  "owners": [
    { "firstname": "Jean", "lastname": "Dupont" }
  ],
  "invoice": {
    "address": "64, avenue Kleber",
    "city": "PARIS",
    "zipcode": "75116",
    "lastname": "PLAISIR NOTAIRES"
  },
  "method": "extranet",
  "syndic": {
    "name": "Syndic Name",
    "username": "syndic_user",
    "password": "syndic_pass",
    "url": "https://extranet.example.com"
  },
  "documents": [],
  "lots": "",
  "comment": "",
  "all_due_paid": false,
  "external_id": "1221",
  "test_mode": true
}

cURL

curl -X POST https://docs.maison-du-pre-etat-date.fr/api/order/   -H "Content-Type: application/json"   -H "Authorization: Bearer $TOKEN"   -H "X-Auth-Key: $API_KEY"   -d @transaction.json

200 OK

{
  "message": "Transaction created",
  "payload": {
    "account": "user@mail.com",
    "created": "Tue, 25 Mar 2025 17:32:39 GMT",
    "external_id": "1221",
    "orderid": "C7HOF2",
    "pending": true,
    "refreshed": false,
    "state": "confirmed",
    "test_mode": true,
    "updated": "Tue, 25 Mar 2025 17:32:39 GMT"
  },
  "success": true
}

400 Bad Request

{ "message": "Missing or invalid syndic information for method 'extranet'", "payload": null, "success": false }

500 Internal Server Error

{ "message": "Failed to decode JSON object", "payload": null, "success": false }

Request a refresh

Endpoint: POST /order/{orderid}/refresh
Content-Type: application/json

Body

  • comment (string, optional)
  • all_due_paid (boolean, optional; default false)
  • method (string, required; currently extranet)
  • syndic (object, optional if already known): name, username, password

Deprecated: POST /order/needrefresh

Example

curl -X POST https://docs.maison-du-pre-etat-date.fr/api/order/SD28Z5/refresh   -H "Content-Type: application/json"   -H "Authorization: Bearer $TOKEN"   -H "X-Auth-Key: $API_KEY"   -d '{
    "all_due_paid": true,
    "comment": "",
    "method": "extranet",
    "syndic": {
      "name": "Syndic Name",
      "username": "syndic_user",
      "password": "syndic_pass"
    }
  }'